# My Portfolio

This is a personal portfolio web application built using React. It showcases various projects and skills and includes a contact form for users to get in touch.

## Table of Contents

- [Getting Started](#getting-started)
- [Features](#features)
- [Installation](#installation)
- [Usage](#usage)
- [EmailJS Setup](#emailjs-setup)
- [Contributing](#contributing)
- [License](#license)

## Getting Started

To get a local copy of the project up and running, follow these simple steps.

### Prerequisites

Make sure you have the following installed:

- [Node.js](https://nodejs.org/) (v14 or later)
- [npm](https://www.npmjs.com/) (comes with Node.js)
- [EmailJS](https://www.emailjs.com)

Create an account on EmailJS, then create a new email service and template. Copy the Service ID, Template ID, and User ID.

### EmailJS Configuration

1. **Create a configuration file:**

   Create a file named `emailConfig.js` in the `src/components` directory with the following content:

   ```javascript
   // src/components/emailConfig.js

   const emailConfig = {
     serviceId: 'yourserviceid',   // Replace with your EmailJS Service ID
     templateId: 'yourtemplateid', // Replace with your EmailJS Template ID
     userId: 'youruserid'          // Replace with your EmailJS User ID
   };

   export default emailConfig;
you then import it to the ContactForm.js

### Installation

1. **Install the dependencies:**

    
bash
    npm install


## Usage

### Running the App

To start the app in development mode:

bash
    npm start