import React from 'react';
import Carousel from 'react-multi-carousel';
import 'react-multi-carousel/lib/styles.css';

const projects = [
  {
    title: 'Project One',
    description: 'This is a brief description of project one.',
    imageUrl: 'https://via.placeholder.com/150',
    link: 'https://github.com/yourusername/project-one'
  },
  {
    title: 'Project Two',
    description: 'This is a brief description of project two.',
    imageUrl: 'https://via.placeholder.com/150',
    link: 'https://github.com/yourusername/project-two'
  },
  {
    title: 'Project Three',
    description: 'This is a brief description of project three.',
    imageUrl: 'https://via.placeholder.com/150',
    link: 'https://github.com/yourusername/project-three'
  }
];

const Projects = () => {
  const handleCardClick = (link) => {
    window.open(link, '_blank');
  };

  const responsive = {
    superLargeDesktop: {
      breakpoint: { max: 4000, min: 3000 },
      items: 5
    },
    desktop: {
      breakpoint: { max: 3000, min: 1024 },
      items: 3
    },
    tablet: {
      breakpoint: { max: 1024, min: 464 },
      items: 2
    },
    mobile: {
      breakpoint: { max: 464, min: 0 },
      items: 1
    }
  };

  return (
    <section className="projects-section" id="projects">
    <Carousel responsive={responsive} infinite={true} className="skill-slider">
      {projects.map((project, index) => (
        <div key={index} className="card-custom" onClick={() => handleCardClick(project.link)}>
          <img src={project.imageUrl} alt={project.title} />
          <div className="card-custom-body">
            <h5>{project.title}</h5>
            <p>{project.description}</p>
          </div>
        </div>
      ))}
    </Carousel>
  </section>
  );
};

export default Projects;
